# qudi-HiM

qudi-HiM is a software package developed by the [Nollmann Lab](http://www.nollmannlab.org) at the [Center of Structural Biology](http://www.cbs.cnrs.fr), a department of the [CNRS](http://www.cnrs.fr) and the [INSERM](http://www.inserm.fr). qudi-HiM is a tool for the control of optical microscope setups with different hardware components optimized to performed multiplexed imaging experiments. qudi-HiM has been build using a modular approach so that it can be adapted to different microscopes with various optical modalities (e.g. widefield/ confocal) and hardward components by using local configuration files. The graphical user interface (GUI) was build using pyQt.

qudi-HiM is built using the framework provided by [Qudi](https://github.com/Ulm-IQO/qudi), a suite of tools for operating multi-instrument and multi-computer laboratory experiments. The [Qudi](https://github.com/Ulm-IQO/qudi) Github repository contains a detailed documentation for users as well as guidelines for contributors.

## Documentation
- [User's guide](https://github.com/NollmannLab/qudi-cbs/blob/master/documentation/qudi-cbs%20documentation/qudi-cbs_userguide/Qudi-CBS_UserGuide.md)
- [Developer's guide](https://github.com/NollmannLab/qudi-cbs/blob/master/documentation/qudi-cbs%20documentation/qudi_cbs_developer)
- [Hardware guides](https://github.com/NollmannLab/qudi-cbs/tree/master/documentation/qudi-cbs%20documentation/qudi-cbs_hardware)

Do not expect help, debugging efforts or other support.

## License
As for Qudi most parts are licensed under GPLv3 (see LICENSE.txt) with the exception of some files
that originate from the Jupyter/IPython project. These are under BSD license, check the file headers and the documentation folder.

Check COPYRIGHT.txt for a list of authors and the git history for their individual contributions.
