# Welcome to the Qudi Documentation  {#mainpage}


* [License](@ref license)
* [Changelog](@ref changelog)
* [Getting Started](@ref get-started)

* Setup
    * [Installation](@ref installation)
    * [Manual installation of Qudi Development Environment](@ref manual-package-installation)
    * [Jupyter Notebook integration](@ref jupyterkernel)
    * [Get Markdown Plugin for documentation](@ref write-markdown)
    * [Build the documentation](@ref build-docs)

* Qudi programming and design concepts
   * [How to participate](@ref participate)
   * [Programming style](@ref programming-style)
   * [Interfuses](@ref how_to_interfuses)
   * [Extensions](@ref extensions)
   * [How to use the logger](@ref logger_usage)
   * [Graphical User Interface Design Concept](@ref uiguidelines)
   * [State machines in various components](@ref statemachines)

* Configuration
    * [Using a Config file](@ref config-explanation)
    * [Remote access to modules](@ref remote_modules)

* GUI documentation
    * [Keyboard shortcuts](@ref shortcuts)
    * [Manager GUI](@ref managergui)
    * [Confocal GUI](@ref confocalgui)
    * [ODMR GUI](@ref odmrgui)
    * [Pulsed Main GUI](@ref pulsed_maingui)

* Logic documentation
    * [Task Usage](@ref task-usage)
    * [Fitting](@ref fit_logic)
    * Custom Pulsed Measurement Extensions:
        * [Writing Pulse Analysis Methods](@ref pulse_analysis_methods)
        * [Writing Pulse Extraction Methods](@ref pulse_extraction_methods)
        * [Writing Predefined Measurements](@ref predefined_generate_methods)
        * [Writing Analog Waveform Primitives](@ref sampling_functions)

* Interface documentation
    * [Pulser Interface](@ref pulser_interface)

